OpenTTD: src/toolbar_gui.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
toolbar_gui.h File Reference

Stuff related to the (main) toolbar. More...

Go to the source code of this file.

## Functions
void | AllocateToolbar ()
| Allocate the toolbar.
void | ToggleBoundingBoxes ()
| Toggle drawing of sprites' bounding boxes.
void | ToggleDirtyBlocks ()
| Toggle drawing of the dirty blocks.

## Variables
uint | _toolbar_width
| Width of the toolbar, shared by statusbar.

## Detailed Description

Stuff related to the (main) toolbar.

Definition in file toolbar_gui.h.

## Function Documentation

void AllocateToolbar | ( |  | ) |

Allocate the toolbar.

Definition at line 2569 of file toolbar_gui.cpp.

References ROADTYPE_ROAD.

Referenced by ShowVitalWindows().

void ToggleBoundingBoxes | ( |  | ) |

Toggle drawing of sprites' bounding boxes.

Note
  has only an effect when newgrf_developer_tools are active.

Function is found here and not in viewport.cpp in order to avoid importing the settings structs to there.

Definition at line 1095 of file toolbar_gui.cpp.

References _settings_client, ClientSettings::gui, MarkWholeScreenDirty(), and GUISettings::newgrf_developer_tools.

Referenced by MenuClickHelp(), and MainWindow::OnHotkey().

void ToggleDirtyBlocks | ( |  | ) |

Toggle drawing of the dirty blocks.

Note
  has only an effect when newgrf_developer_tools are active.

Function is found here and not in viewport.cpp in order to avoid importing the settings structs to there.

Definition at line 1112 of file toolbar_gui.cpp.

References _settings_client, ClientSettings::gui, MarkWholeScreenDirty(), and GUISettings::newgrf_developer_tools.

Referenced by MenuClickHelp(), and MainWindow::OnHotkey().

## Variable Documentation

uint _toolbar_width

Width of the toolbar, shared by statusbar.

Definition at line 61 of file toolbar_gui.cpp.

Referenced by StatusBarWindow::FindWindowPlacementAndResize(), NetworkChatWindow::FindWindowPlacementAndResize(), MainToolbarWindow::FindWindowPlacementAndResize(), ScenarioEditorToolbarWindow::FindWindowPlacementAndResize(), RelocateAllWindows(), and NWidgetToolbarContainer::SetupSmallestSize().